Subject: Re: [bug#34650] Acknowledgement ([PATCH] ruby-mailcatcher: Draft)

From: Pierre Neidhardt <[email-masked]>
Date: Tue, 26 Feb 2019 11:59:27 +0100

Hi Christopher,

Thanks for all the details, that will help tremendously for sure.

> ruby-tilt

I tried applying your patch but I get the following error:

--8<---------------cut here---------------start------------->8---
starting phase `check'
rake aborted!
Bundler::VersionConflict: Bundler could not find compatible versions for gem "ffi":
  In Gemfile:
    sassc was resolved to 2.0.0, which depends on
      ffi (~> 1.9.6)

Could not find gem 'ffi (~> 1.9.6)', which is required by gem 'sassc', in any of the sources.
--8<---------------cut here---------------end--------------->8---

I suppose that ruby-ffi was updated recently and that the version number needs patching?

> I think theres a commit on the staging branch to pass the --verbose flag
> to gem install, which may be revealing.

I'll look into it, thanks for the tip.

> In my opinion, if you think someone might use it as a Ruby library,
> stick with the ruby- prefix for consistency. Otherwise, call it what you
> think makes most sense.

I'll call if mailcatcher then.

> If you're confident that the more recent versions of the dependencies
> work, then I'd recommend patching the source to loosen the dependency
> constraints.

I see that's what you are doing in your patch.  It's quite cumbersome though :p
At this point I wonder: if the developer explicitly say
"A should be version X or above, while B should be exactly version Y", shouldn't
we respect the upstream wish?

-- 
Pierre Neidhardt
https://ambrevar.xyz/